program test_intr_10;

uses dos, crt;

var 
	top, bottom, x, y, attr, k: byte;
	ss: string;
	reg : registers;

procedure display_page(page: byte);
begin
	reg.AH := $05;
	reg.AL := page;
	intr($10, reg);
end;

procedure set_cursor_position(page, x, y: byte);
begin
	with reg do
	begin
		AH := $02;
		BH := page;
		DH := y;
		DL := x;
	end;
	intr($10, reg);
end;

procedure write_chars(page, x, y: byte; ch0: char;  attr: byte;	multiplicity: word);
begin
	set_cursor_position(page, x, y);
	with reg do
	begin
		AH := $09;
		AL := ord(ch0);
		BH := page;
		BL := attr;
		CX := multiplicity;
	end;
	intr($10, reg);
end;

procedure write_string(page, x, y: byte; ss: string; attr: byte);
var  
	j: word;
begin
	for j := 1 to length(ss) do
	begin
		write_chars(page, x, y, ss[j], attr, 1);
		inc(x);
	end;
end;

begin
	clrscr;
	writeln(' ᯮ짮 뢠 10');
	writeln(' ࠡ  ⥪⮢ ࠭');
	write(' <Enter>');
	readln;
	for k := 0 to 7 do
	begin
		write_chars(k, 0, 0, ' ', black, 80);
		attr := 128*(k mod 2) + k shl 4 + k + 8;
		write_chars(k, 0, 1, chr(177), attr, 80*24);
		write_string(k, 0, 0, '࠭ ' + chr(48 + k) + '   ', k + 8);
		display_page(k);
		delay(1000);
	end;
	write_string(7, 40, 4, ' <Enter>:  ', Yellow);
	readln;
end.
