program test_text_mouse;

uses crt, dos, mouse;

var 
	ss: string;
	mouse_OK: boolean;
	count, x, y: word;
	button, port, IRQ: byte;
	ver: str6;

procedure display_page(page: byte);
var 
	reg : registers;
begin
	reg.AH := $05;
	reg.AL := page;
	intr($10, reg);
end;

begin
	clrscr;
	writeln('  ⥪⮢ ०');
	reset_mouse(mouse_OK, button);
	if not mouse_OK then 
		halt;
	show_cursor;
	get_mouse_info(ver, port, IRQ);
	WriteLn(' ࠩ  ', ver);
	case port of
		1: Write('bus');
		2: Write('serial');
		3: Write('mouse');
		4: Write('PS/2');
		5: Write('HP');
	end;
	WriteLn('     IRQ ', IRQ, '  ', button, ' ');
	WriteLn('   :');
	repeat
		button := 0;
		get_mouse_button_press(button, count, x ,y);
	until button = 1;
	clrscr;
	writeln(' !');
	writeln(' ࠢ  :');
	gotoxy(1, 8);
	textcolor(yellow);
	textbackground(brown);
	for x := 1 to 80*16 do 
		write(chr(x mod 224 + 31));
	textcolor(lightgray);
	textbackground(black);
	repeat
		button := 0;
		get_mouse_button_press(button, count, x ,y);
	until button = 2;
	show_cursor;
	gotoxy(1, 3);
	writeln('      ய!');
	repeat
		button := 0;
		get_mouse_button_press(button, count, x ,y);
	until button = 1;
	hide_cursor;
	writeln(' ࠢ     !');
	repeat
		button := 1;
		get_mouse_button_press(button, count, x ,y);
	until button = 2;
	show_cursor;
	set_text_cursor_shape($FFAB, $A200);
	writeln('   ');
	repeat
		button := 0;
		get_mouse_button_press(button, count, x ,y);
	until  button = 3;
	window(1, 1, 80, 6);
	clrscr;
	window(1, 1, 80, 25);
	set_mouse_page(0);
	display_page(0);
	clrscr;
	reset_mouse(mouse_OK, button);
	show_cursor;
	gotoxy(1, 1);
	writeln('࠭ 0');
	writeln(' 襭 ࠡ    ');
	repeat
		button := 0;
		get_mouse_button_press(button, count, x ,y);
	until button = 1;
	reset_mouse(mouse_OK, button);
	show_cursor;
	clrscr;
end.
