program polygon;

uses CRT, Graph, graphs;

const	
	max = 21;
	recip_max = 1.0 / max;
	two_pi = 2.0 * Pi;

var 
	x, y : array [1..max] of Integer;
	color, radius, j, k : Word;

begin
	open_graph;
	radius := GetMaxY div 2 - 10;
	for j := 1 to max do 
	begin
		x[j] := gx(Cos(two_pi * j * recip_max), radius);
		y[j] := gy(Sin(two_pi * j * recip_max), radius);
	end;
	color := 13;
	for j := 2 to max do
	begin
		SetColor(color);
		for k := 1 to j - 2 do Line(x[j], y[j], x[k], y[k]);
	Dec(color);
	if color = 10 then 
		color := 13;
	end;
	SetColor(White);
	OutTextXY(10, 10, 'Press <Enter>: '); ReadLn;
	close_graph;
end.
