program koch;

uses crt, graph, graphs;

var
	ch : char;
	min : word;

procedure rotate_plus(var  x, y : integer);
var
	t : integer;
begin
	t := x;
	x := y;
	y := -t;
end;

procedure rotate_minus(var  x, y : integer);
var
	t : integer;
begin
	t := x;
	x := -y;
	y := t;
end;

procedure draw(x, y : integer; length : word);
var
	t : word;
begin
	if keypressed  then
		exit;
	if length >= min  then
	begin
		if length >= 32 then
			setlinestyle(solidln, 0, thickwidth)
		else  
			setlinestyle(solidln, 0, normwidth);
		t := length div 4;
		setcolor(white);
		draw(x, y, t);
		setcolor(yellow);
		rotate_plus(x, y);  
		draw(x, y, t);
		setcolor(magenta);
		rotate_minus(x, y);
		draw(x, y, t);
		rotate_minus(x, y);
		setcolor(red);
		draw(x, y, t);
		setcolor(cyan);
		draw(x, y, t);
		rotate_plus(x, y);
		setcolor(green);
		draw(x, y, t);
		setcolor(blue);
		rotate_plus(x, y);
		draw(x, y, t);
		setcolor(lightgray);
		rotate_minus(x, y);
		draw(x, y, t);
	end
	else
		LineRel(length * x, length * y);
end;

begin
	open_graph;
	min := 256;
	while min >= 4 do
	begin
		moveto(20, 200);
		draw(1, 0, 512);
		outtextxy(200, 460, 'Press <Space>:');
		ch := readkey;
		min := min div 4;
		cleardevice;
	end;
	close_graph;
end.
