program cantor;

uses crt, graph, graphs;

var
	ch : char;

procedure draw(x, y : integer;  size : word);
var
	s : word;

procedure solid_rectangle(x, y, size : integer);
begin
	rectangle(x - size, y - size, x + size, y + size);
	bar(x - size + 1, y - size + 1, x + size - 1, y + size - 1);
end;

begin
	if size > 1 then
	begin
		s := size div 2;
		draw(x - size, y + size, s);
		draw(x - size, y - size, s);
		draw(x + size, y + size, s);
		draw(x + size, y - size, s);
	end;
	solid_rectangle(x, y, size);
end;

begin
	open_graph;
	setfillstyle(solidfill, black);
	setcolor(yellow);
	draw(getmaxx div 2, getmaxy div 2, getmaxy div 4);
	outtextxy(265, 235, 'Press <Enter>');
	readln;
	close_graph;
end.
