program sbfm_demo;

uses crt, sbfm;

var 
	i, sound_left, sound_right : word;
	Ch : char;

begin
	clrscr;
	WriteLn(':');
	WriteLn(' 1  ࠡ  ० ;');
	WriteLn(' 2  ࠡ  ० ८;');
	WriteLn(' 0  ४饭 ࠡ.');

	ch := readkey;
	while not ((ch = '1') or (ch = '2')) or (ch = '0') do
		case ch of
		'1' : port_init(Mono);
		'2' : begin
			port_init(Left_Stereo);
			port_init(Right_Stereo);
		end;
		'0' : exit;
		else ch := readkey;
	end;
	clrscr;
	WriteLn(' <Enter>  த ࠡ');

	set_modulator_mult(Left_Stereo, $01);
	set_modulator_mult(Right_Stereo, $01);
	set_modulator_mult(Mono, $01);

	set_modulator_level(Left_Stereo, $10);
	set_modulator_level(Right_Stereo, $10);
	set_modulator_level(Mono, $10);

	set_modulator_attack(Left_Stereo, $f0);
	set_modulator_attack(Right_Stereo, $f0);
	set_modulator_attack(Mono, $f0);

	set_modulator_sustain(Left_Stereo, $77);
	set_modulator_sustain(Right_Stereo, $77);
	set_modulator_sustain(Mono, $77);

	set_carrier_mult(Left_Stereo, $01);
	set_carrier_mult(Right_Stereo, $01);
	set_carrier_mult(Mono, $01);

	set_carrier_volume(Left_Stereo, $00);
	set_carrier_volume(Right_Stereo, $00);
	set_carrier_volume(Mono, $00);

	set_carrier_attack(Left_Stereo, $f0);
	set_carrier_attack(Right_Stereo, $f0);
	set_carrier_attack(Mono, $f0);

	set_carrier_sustain(Left_Stereo, $77);
	set_carrier_sustain(Right_Stereo, $77);
	set_carrier_sustain(Mono, $77);

	repeat
		play_note_stereo(o4, note_do, 200);
		play_note_stereo(o5, note_re, 200);
		play_note_stereo(o5, note_mi, 200);
		play_note_stereo(o5, note_fa, 200);
		play_note_stereo(o5, note_sol, 200);
		play_note_stereo(o5, note_la, 200);
		play_note_stereo(o5, note_si, 200);
	until keypressed;
        WriteLn('    ४饭 ࠡ');
	readln;
	clrscr;

	i := 1;
	repeat
		inc(i);
		sound_left := trunc(128 * sin(0.0001 * i)) + 127;
		sound_right := trunc(128 * sin(0.0001 * i + 0.11)) + 127;
		if ch = '1' then 
			sound_on(Mono, sound_left) 
		else
		begin
			sound_on(Left_Stereo,  sound_left);
			sound_on(Right_Stereo,  sound_right);
		end;
	until keypressed;
	case ch of
	'1' : sound_off(Mono);
	'2' : begin 
			sound_off(Left_Stereo); 
			sound_off(Right_Stereo); 
		  end;
	end;
end.
