program eratosphen2;

uses crt;

const 
	n = 20;
	m = n * n;

var 
	p, s, i, j, k : word;
	accept	: boolean;
	prime : array[1..m - 1] of word;
	mult : array[1..n - 1] of word;
	old_mode : integer;

begin
	clrscr;
	prime[1] := 2;
	p := 2; 
	k := 1; 
	s := sqr(prime[1]);
	for i := 2 to m - 1 do
	begin
		repeat
			inc(p);
			if s <= p then
			begin
				mult[k] := s;
				inc(k);
				s := sqr(prime[k]);
			end;
			accept := true;
			for j := 1 to k - 1 do
			begin
				if mult[j] < p then 
					mult[j] := mult[j] + prime[j];
				accept := (mult[j] > p);
				if not accept then
					break;
			end;
		until accept;
		prime[i] := p;
	end;
	writeln;
	writeln;
	old_mode := lastmode;
	textmode(CO80 + font8x8);
	for i := 1 to 10 do 
		write(i:8);  writeln;
	textcolor(yellow);
	for i := 1 to m - 1 do
		write(prime[i]:8);
	writeln;
	writeln;
	textcolor(lightgray);
	write(' <Enter>');
	readln;
	textmode(old_mode);
end.
