{$N+}
unit  hyp_fun;

interface

type
	Float = Extended;

function  sinh(x: Float)	: Float;
function  cosh(x: Float): Float;
function  tanh(x: Float)	: Float;

implementation

var
	t: Float;

function  sinh(x: Float): Float;
begin
	t := Exp(x);
	sinh := 0.5*(t - 1.0/t);
end; 

function  cosh(x: Float): Float;
begin
	t := Exp(x);
	cosh := 0.5*(t + 1.0/t);
end;

function  tanh(x: Float): Float;
begin
	t := Exp(2.0*x);
	tanh := (t - 1.0) / (t + 1.0);
end;

end.
