program day_of_week;

uses crt;

const
	DayOfWeek : array [0..6] of string = (
		'쭨', '୨', '।', '⢥',
		'⭨', '㡡', 'ᥭ'
	);

type 
	pString  = ^string;

var 
	year, month, day : word;

function IntDow(yyyy, mm, dd : integer) : integer;
var 
	AddVal : shortint;
begin
	if mm < 3 then 
		AddVal := 1
	else 
		AddVal := 0;
	IntDow := (((3 * yyyy - (7 * (yyyy + (mm + 9) div 12)) div 4 + 
		(23 * mm) div 9 + dd + 2	+ ((yyyy - AddVal) div 100 + 1) * 3 div 4 - 16) mod 7));
end;

function StrDow(yyyy, mm, dd : integer): pString;
var 
	ReturnString : string;
begin
	StrDow := @DayOfWeek[IntDow(yyyy, mm, dd)];
end;

begin
	clrscr;
	textcolor(7);
	WriteLn;
	Write('    : ');
	ReadLn(year);
	Write('  : ');
	ReadLn(month);
	Write('   : ');
	ReadLn(day);
	WriteLn;
	textcolor(11);
	WriteLn(day,'.',month,'.',year,' -    ', StrDow(year, month, day)^);
	WriteLn(' <Enter>:');
	ReadLn;
end.

