unit graphs;

interface

procedure open_graph;

procedure close_graph;

function gx(x : Extended; sx : Integer): Integer;

function gy(y : Extended; sy : Integer): Integer;

implementation 

uses Graph;

var 
	x, y : Extended;
	sx, sy : Integer;

procedure open_graph;
var 
	graph_device, graph_mode : Integer;
begin
	graph_device := Detect;
	InitGraph(graph_device, graph_mode, '');
	if GraphResult <> 0 then 
	begin
		WriteLn('訡 樠樨 ᪮ ० ');
		ReadLn;
		Halt;
	end;
end;

procedure close_graph;
begin
	CloseGraph;
	if GraphResult <> 0 then
	begin
		WriteLn(' 訡 襭 ᪮ ० ');
		ReadLn;
		Halt;
	end;
end;

function gx(x : Extended; sx : Integer) : Integer;
begin
	gx := trunc(sx * x) + GetMaxX div 2;
end;

function gy(y : Extended; sy : Integer) : Integer;
begin
	gy := GetMaxY div 2 - trunc(sy * y);
end;

end.
