program fonts;

uses crt, Graph, Graphs;

procedure show_font(font : word; ss : string);
var 
	j : word;
begin
	for j := 1 to 7 do
	begin
		settextstyle(font, horizdir, j);
		outtextxy(0, 50 * j, ss);
	end;
	settextstyle(font, vertdir, 3);
	outtextxy(600, 0, 'Press <Enter>:');
	readln;
	cleardevice;
end;

procedure justify;
const 
	ss='JUSTIFY';
var 
	j, k, l : word;
begin
	settextstyle(sansseriffont, horizdir, 1);
	setfillstyle(solidfill, lightgray);
	for j:= 0 to 2 do
		for k := 0 to 2 do
		begin
			rectangle(50+j * 150, 15 + 150 * j + 50 * k, 
				200+j * 150, 60 + 150 * j + 50 * k);
			floodfill(60 + j * 150, 20 + 150 * j + 50 * k, white);
			settextjustify(j, k);
			outtextxy(120+j * 150, 30 + 150 * j + 50 * k , ss);
		end;
		outtextxy(200, 430, 'Press <Enter>');
end;

begin
	open_Graph;
	show_font(defaultfont,   'Default Font');
	show_font(triplexfont,   'TriplexFont');
	show_font(smallfont,     'SmallFont');
	show_font(sansseriffont, 'SansSerifFont');
	show_font(gothicfont,    'GothicFont');
	justify;
	ReadLn;
	close_Graph;
end.
