program Graph_mouse;

uses 
	crt, Graph, Graphs, mouse;

const  
	x_min = 220;
	x_max = 420;
	y_min = 290;
	y_max = 390;
	masks : array[0..1, 0..15] of word = (
		($E1FF, $EDFF, $EDFF, $EDFF,
		$EDFF, $EC00, $EDB6, $EDB6,
		$0DB6, $6FFE, $6FFE, $6FFE,
		$7FFE, $7FFE, $7FFE, $0000) ,
		($1E00, $1200, $1200, $1200,
		$1200, $13FF, $1249, $1249,
		$F249, $9001, $9001, $9001,
		$8001, $8001, $8001, $FFFF) );
{ ᪠ ࠭:      ᪠ :      ࠦ:
1110000111111111    0001111000000000       XXXX
1110110111111111    0001001000000000       X  X
1110110111111111    0001001000000000       X  X
1110110111111111    0001001000000000       X  X
1110110111111111    0001001000000000       X  X
1110110000000000    0001000111111111       X  XXXXXXXXXX
1110110110110110    0001001001001001       X  X  X  X  X
1110110110110110    0001001001001001       X  X  X  X  X
0000110110110110    1111001001001001    XXXX  X  X  X  X
0110111111111110    1001000000000001    X  X           X
0110111111111110    1001000000000001    X  X           X
0110111111111110    1001000000000001    X  X           X
0111111111111110    1000000000000001    X              X
0111111111111110    1000000000000001    X              X
0111111111111110    1000000000000001    X              X
0000000000000000    1111111111111111    XXXXXXXXXXXXXXXX }

var 
	ss, tt : string;
	not_mouse : boolean;
	x, y, k, count : word;
	button : byte;

begin
	gotoxy(1, 6);
	write('   ');
	repeat
		button := 2;
		get_mouse_button_press(button, count, x, y);
	until button = 3;
	open_Graph;
	setcolor(yellow);
	setbkcolor(darkgray);
	setfillstyle(solidfill, red);
	outtextxy(0, 0, 'Testing Graphics mouse.  Move around!');
	reset_mouse(not_mouse, button);
	bar(x_min, y_min, x_max, y_max);
	show_cursor;
	outtextxy(0, 20, 'Click left to hide cursor');
	repeat
		button := 0;
		get_mouse_button_press(button, count, x ,y);
	until  button = 1;
	hide_cursor;
	outtextxy(0, 40,'Click right for the finger; move it into the red!');
	repeat
		button := 1;
		get_mouse_button_press(button, count, x ,y);
	until button = 2;
	set_Graph_cursor_shape(4, 0, @masks);
	show_cursor;
	repeat
		get_mouse_status(button, x, y);
	until  (x >= x_min) and (x <= x_max) and
		(y >= y_min) and (y <= y_max);
	set_hide_cursor_window(x_min, y_min, x_max, y_max);
	outtextxy(0, 60, 'Click left: restrict and show cursor');
	repeat
		button := 0;
		get_mouse_button_press(button, count, x ,y);
	until  button = 1;
	set_cursor_x_lim(x_min, x_max);
	set_cursor_y_lim(y_min, y_max);
	outtextxy(0, 80, 'Try to move the cursor out of red field');
	show_cursor;
	outtextxy(0, 100, 'Double click left to quit:');
	repeat  until  double_click(500);
	close_Graph;
	reset_mouse(not_mouse, button);
	clrscr;
end.
