{$S+}
program bisection;

uses crt;

type 
	real = extended;

const  
	eps = 1.0e-17;

var 
	x0, x1, midpt : real;
	depth : word;

function F(x : real): real;
begin
	F :=  x * x - 2.0;
end;

procedure bisect(var  x0, x1 : real);
begin
	if keypressed then 
		halt;
	inc(depth);
	midpt := 0.5 * (x0 + x1);
	if F(x1) - F(x0) < eps  then  
		exit;
	if F(midpt) >= 0.0  then  
		x1 := midpt
	else  
		x0 := midpt;
	bisect(x0, x1);
end;

begin
	depth := 0;
	x0 := 0.0; 
	x1 := 5.0;
	bisect(x0, x1);
	clrscr;
	writeln('襭 ࠢ F(x) = 0 ਡ⥫쭮 ', midpt:22:18);
	writeln('㡨 ४ᨨ ', depth);
	writeln(' <Enter>');
	readln;
end.
