program peano;

uses crt, graph, graphs;

var
	ch : char;
	x, y : integer;

procedure draw_Z(n : word;  plus : boolean);

procedure rotate(plus : boolean);
var
	t : integer;
begin
	if plus then
	begin
		t := x;
		x := -y;
		y := t;
	end
	else
	begin
		t := x;
		x := y;
		y := -t;
	end;
end;

begin
	if n > 0 then
	begin
		draw_Z(n - 1, plus);
		linerel(x, y);
		draw_Z(n - 1, not plus);
		linerel(x, y);
		draw_Z(n - 1, plus);
		rotate(plus);
		linerel(x, y);
		rotate(plus);
		draw_Z(n - 1, not plus);
		linerel(x, y);
		draw_Z(n - 1, plus);
		linerel(x, y);
		draw_Z(n - 1, not plus);
		rotate(not plus);
		linerel(x, y);
		rotate(not plus);
		draw_Z(n - 1, plus);
		linerel(x, y);
		draw_Z(n - 1, not plus);
		linerel(x, y);
		draw_Z(n - 1, plus);
	end;
end;

begin
	open_graph;
	moveto(0, 0);
	x := 5;
	y := 0;
	draw_Z(4, true);
	outtextxy(500, 460, 'Press <Enter>:');
	readln;
	close_graph;
end.
