program speaker2;

uses crt;

const
	speaker_port = $61;
	pit_control = $43;
	pit_channel_2 = $42;
	pit_freq = $1234dd;

procedure sound(frequency : word);
var 
	counter : word;
begin
	counter := pit_freq div frequency;
	port[pit_control] := $b6;
	port[pit_channel_2] := lo(counter);
	port[pit_channel_2] := hi(counter);
	port[speaker_port] := port[speaker_port] or 3;
end;

procedure nosound;
begin
	port[speaker_port] := port[speaker_port] and $fc;
end;

begin
	sound(200);
	repeat until keypressed;
	nosound;
end.
